## org.hibernate.metamodel.source.hbm
Class EntityHierarchyImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.EntityHierarchyImpl

All Implemented Interfaces:
  EntityHierarchy

    public class EntityHierarchyImpl

extends Object
implements EntityHierarchy

Constructor Summary
`EntityHierarchyImpl(RootEntitySourceImpl rootEntitySource)`

Method Summary
`InheritanceType` `getHierarchyInheritanceType()` The inheritance type/strategy for the hierarchy.
`RootEntitySource` `getRootEntitySource()` Obtain the hierarchy's root entity.
`void` `processSubclass(SubclassEntitySourceImpl subclassEntitySource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityHierarchyImpl

    public EntityHierarchyImpl(RootEntitySourceImpl rootEntitySource)

Method Detail

### getHierarchyInheritanceType

    public InheritanceType getHierarchyInheritanceType()

  Description copied from interface: `EntityHierarchy`
  The inheritance type/strategy for the hierarchy.

  NOTE : The entire hierarchy must comply with the same inheritance strategy.

  Specified by:
    `getHierarchyInheritanceType` in interface `EntityHierarchy`
  Returns:
    The inheritance type.

### getRootEntitySource

    public RootEntitySource getRootEntitySource()

  Description copied from interface: `EntityHierarchy`
  Obtain the hierarchy's root entity.

  Specified by:
    `getRootEntitySource` in interface `EntityHierarchy`
  Returns:
    THe root entity.

### processSubclass

    public void processSubclass(SubclassEntitySourceImpl subclassEntitySource)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.